package fmon.world

import java.io._

import fmon.Config
import fmon.draw.tile._

class Tileset(val token: TilesetToken) {
  val groundTiles: IndexedSeq[AutoTile] = {
    val file = new File(token.a2)
    val palette = new AutoTilePalette(file, Config.tileSize)
    for (y <- 0 until 4; x <- 0 until 8) yield {
      palette(x, y)
    }
  }
}

case class TilesetToken(val a2: String)